List image models
curl --request GET \
--url https://api.pre.dev/v1/images/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pre.dev/v1/images/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pre.dev/v1/images/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "bytedance-seed/seedream-5-0-lite",
"name": "ByteDance Seed: Seedream 5.0 Lite",
"architecture": {
"input_modalities": [
"text",
"image"
],
"output_modalities": [
"image"
]
},
"supported_parameters": {
"aspect_ratio": {
"type": "enum",
"values": [
"1:1",
"16:9",
"9:16"
]
},
"n": {
"type": "range",
"min": 1,
"max": 4
}
},
"supports_streaming": false,
"predev": {
"credits_per_m_input": null,
"credits_per_m_output": null,
"credits_per_image": 0.5,
"billables": [
{
"billable": "output_image",
"unit": "image",
"credits": 0.5
}
]
}
}
]
}Models
List image models
Image generation models, with a per-image credit price where the model has one. Free to call.
GET
/
v1
/
images
/
models
List image models
Was this page helpful?

